Subject: Re: [17/*] [NET] Replace dst_pmtu with dst_mtu

From: Patrick McHardy <[email-masked]>
Date: Tue, 15 Mar 2005 20:02:26 +0100

David S. Miller wrote:
> On Tue, 15 Mar 2005 21:05:22 +1100
> Herbert Xu <[email-masked]> wrote:
> 
>>At this point the only remaining user of dst_pmtu is ipt_REJECT which
>>will go away either when we use icmp_send in there or when I replace
>>it with dst_mtu.
> 
> 
> Yes, I saw that posting on netfilter-devel where you asked Rusty
> why icmp_send() wasn't directly used even though it appears it
> should be.

I would prefer to keep it seperately. I have planned to remove xrlim
from ipt_REJECT so it behaves similar for TCP and ICMP. Limits should
then be handled by the limit match. This can't be done if we switch to
icmp_send().

Regards
Patrick